Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class ChannelData

    java.lang.Object
      de.grogra.math.Pool
          de.grogra.math.ChannelData

    public final class ChannelData

extends Pool

Field Summary

Fields inherited from class de.grogra.math.Pool
`e0, e1, e2, e3, fv, l0, l1, l2, l3, list, m3d0, m3d1, m3d2, m3d3, m3f0, m3f1, m3f2, m3f3, m4d0, m4d1, m4d2, m4d3, m4f0, m4f1, m4f2, m4f3, n3d0, n3d1, n3d2, n3d3, n3f0, n3f1, n3f2, n3f3, n4d0, n4d1, n4d2, n4d3, n4f0, n4f1, n4f2, n4f3, p2d0, p2d1, p2d2, p2d3, p2f0, p2f1, p2f2, p2f3, p3d0, p3d1, p3d2, p3d3, p3f0, p3f1, p3f2, p3f3, p4f0, p4f1, p4f2, p4f3, path, q2d0, q2d1, q2d2, q2d3, q2f0, q2f1, q2f2, q2f3, q3d0, q3d1, q3d2, q3d3, q3f0, q3f1, q3f2, q3f3, q4f0, q4f1, q4f2, q4f3, r0, r1, r2, r3, rr0, rr1, rr2, rr3, v2d0, v2d1, v2d2, v2d3, v2f0, v2f1, v2f2, v2f3, v3d0, v3d1, v3d2, v3d3, v3f0, v3f1, v3f2, v3f3, v4f0, v4f1, v4f2, v4f3, w2d0, w2d1, w2d2, w2d3, w2f0, w2f1, w2f2, w2f3, w3d0, w3d1, w3d2, w3d3, w3f0, w3f1, w3f2, w3f3, w4f0, w4f1, w4f2, w4f3`

Constructor Summary
`ChannelData()`

Method Summary
`void` | `clear()`
`ChannelData` | `createSink(ChannelMap map)`
`float` | `forwardGetFloatValue(ChannelData source)`
`java.lang.Object` | `forwardGetObjectValue(ChannelData source)`
`ChannelData` | `getData(ChannelMap map)`
`float` | `getFloatValue(ChannelData req, int channel)`
`ChannelMap` | `getMap()`
`java.lang.Object` | `getObjectValue(ChannelData req, int channel)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`ChannelData` | `getSink()`
`void` | `getTuple3f(Tuple3f out, ChannelData req, int channel)`
`float` | `getValidFloatValue(int channel)`
`java.lang.Object` | `getValidObjectValue(int channel)`
`ChannelData` | `initDefault(ChannelMap map)`
`void` | `invalidate()`
`boolean` | `isValid(int channel)`
`void` | `setFloat(int channel, float value)`
`void` | `setObject(int channel, java.lang.Object value)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `setTuple2f(int channel, float x, float y)`
`void` | `setTuple2f(int channel, Tuple2f value)`
`void` | `setTuple3f(int channel, float x, float y, float z)`
`void` | `setTuple3f(int channel, Tuple3f value)`
`java.lang.String` | `toString()`

Methods inherited from class de.grogra.math.Pool
`get, getDoubleArray, getFloatArray, pop, push`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChannelData

    public ChannelData()

Method Detail

### clear

    public void clear()

### createSink

    public ChannelData createSink(ChannelMap map)

### forwardGetFloatValue

    public float forwardGetFloatValue(ChannelData source)

### forwardGetObjectValue

    public java.lang.Object forwardGetObjectValue(ChannelData source)

### getData

    public ChannelData getData(ChannelMap map)

### getFloatValue

    public float getFloatValue(ChannelData req,
                               int channel)

### getMap

    public ChannelMap getMap()

### getObjectValue

    public java.lang.Object getObjectValue(ChannelData req,
                                           int channel)

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

### getSink

    public ChannelData getSink()

### getTuple3f

    public void getTuple3f(Tuple3f out,
                           ChannelData req,
                           int channel)

### getValidFloatValue

    public float getValidFloatValue(int channel)

### getValidObjectValue

    public java.lang.Object getValidObjectValue(int channel)

### initDefault

    public ChannelData initDefault(ChannelMap map)

### invalidate

    public void invalidate()

### isValid

    public boolean isValid(int channel)

### setFloat

    public void setFloat(int channel,
                         float value)

### setObject

    public void setObject(int channel,
                          java.lang.Object value)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

### setTuple2f

    public void setTuple2f(int channel,
                           float x,
                           float y)

### setTuple2f

    public void setTuple2f(int channel,
                           Tuple2f value)

### setTuple3f

    public void setTuple3f(int channel,
                           float x,
                           float y,
                           float z)

### setTuple3f

    public void setTuple3f(int channel,
                           Tuple3f value)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD